# Uses of Class
org.eclipse.team.core.diff.FastDiffFilter

Packages that use FastDiffFilter
Package
Description
org.eclipse.team.core.diff
Application programming interfaces for working with diffs.
org.eclipse.team.core.diff.provider
Application programming interfaces for working with diffs.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.

## Uses of FastDiffFilter in org.eclipse.team.core.diff

Methods in org.eclipse.team.core.diff that return FastDiffFilter
Modifier and Type
Method
Description
`static final FastDiffFilter`
FastDiffFilter.`getStateFilter(int[] states, int mask)`
Methods in org.eclipse.team.core.diff with parameters of type FastDiffFilter
Modifier and Type
Method
Description
`boolean`
IDiffTree.`hasMatchingDiffs(IPath path, FastDiffFilter filter)`
Return whether the this diff tree contains any diffs that match the given filter at of below the given path.

## Uses of FastDiffFilter in org.eclipse.team.core.diff.provider

Methods in org.eclipse.team.core.diff.provider with parameters of type FastDiffFilter
Modifier and Type
Method
Description
`boolean`
DiffTree.`hasMatchingDiffs(IPath path, FastDiffFilter filter)`

## Uses of FastDiffFilter in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping with parameters of type FastDiffFilter
Modifier and Type
Method
Description
`boolean`
IResourceDiffTree.`hasMatchingDiffs(ResourceTraversal[] traversals, FastDiffFilter filter)`
Return whether the this diff tree contains any diffs that match the given filter within the given traversals.

## Uses of FastDiffFilter in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider with parameters of type FastDiffFilter
Modifier and Type
Method
Description
`boolean`
ResourceDiffTree.`hasMatchingDiffs(ResourceTraversal[] traversals, FastDiffFilter filter)`